#!/bin/bash
################################################################################
#
# Intel Data Center Bridging (DCB) Software
# Copyright(c) 2007-2008 Intel Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
#
# The full GNU General Public License is included in this distribution in
# the file called "COPYING".
#
# Contact Information:
# e1000-eedc Mailing List <e1000-eedc@lists.sourceforge.net>
# Intel Corporation, 5200 N.E. Elam Young Parkway, Hillsboro, OR 97124-6497
#
################################################################################

# This test builds on t1, t2, t3

. ../test_fns.sh

REMOTE=$1
DEVICE=$2


TEST="change params so that !willing-!willing will match"
echo Running: $TEST

RESULTS=t4.out
echo $TEST > $RESULTS

# change remote pg params
ssh $REMOTE dcbtool -r sc $DEVICE pg  bwgpct:50,50,0,0,0,0,0,0 bwgid:00000111 uppct:20,20,20,20,20,33,33,34 > junk
check_results sc_pg.r1 "$TEST: remote set config pg param change"

ssh $REMOTE dcbtool -r gc $DEVICE pg > junk
check_results gc_pg.r1 "$TEST: remote get config pg"

sleep 8

ssh $REMOTE dcbtool -r go $DEVICE pg > junk
check_results go_pg.r1 "$TEST: remote get oper pg"

ssh $REMOTE dcbtool -r gp $DEVICE pg > junk
check_results gp_pg.r1 "$TEST: remote get peer pg"


dcbtool -r gc $DEVICE pg > junk
check_results gc_pg.l1 "$TEST: local get new config pg"

dcbtool -r go $DEVICE pg > junk
check_results go_pg.l1 "$TEST: local get new oper pg"

dcbtool -r gp $DEVICE pg > junk
check_results gp_pg.l1 "$TEST: local get peer pg"


# change local pfc params
dcbtool -r sc $DEVICE pfc pfcup:00000111 > junk
check_results sc_pfc.l1 "$TEST: local set config pfc new params"

dcbtool -r gc $DEVICE pfc > junk
check_results gc_pfc.l1 "$TEST: local get config pfc"

sleep 8

dcbtool -r go $DEVICE pfc > junk
check_results go_pfc.l1 "$TEST: local get oper pfc"

dcbtool -r gp $DEVICE pfc > junk
check_results gp_pfc.l1 "$TEST: local get peer pfc"


ssh $REMOTE dcbtool -r gc $DEVICE pfc > junk
check_results gc_pfc.r1 "$TEST: remote get config pfc"

ssh $REMOTE dcbtool -r go $DEVICE pfc > junk
check_results go_pfc.r1 "$TEST: remote get oper pfc"

ssh $REMOTE dcbtool -r gp $DEVICE pfc > junk
check_results gp_pfc.r1 "$TEST: remote get peer pfc"

cat $RESULTS
rm junk
